package com.realnet.angulardata.Services;
import java.util.*;
import com.realnet.angulardata.Repository.Test_visaRepository;
import com.realnet.angulardata.Entity.Test_visa;

import com.realnet.angulardata.Entity.Test_visa_ListFilter1;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
	import org.springframework.stereotype.Service;

@Service
 public class Test_visa_ListFilter1Service {
@Autowired
private Test_visaRepository Repository;




 public   List<Test_visa_ListFilter1>   getlistbuilder() {
	List<Test_visa> list= Repository.findAll();
		ArrayList<Test_visa_ListFilter1> l = new ArrayList<>();
		for (Test_visa data : list) {
{	
Test_visa_ListFilter1 dummy = new Test_visa_ListFilter1();
			dummy.setId(data.getId());
  dummy.setName(data.getName());
	l.add(dummy);
} 
} 		
return l;}



 public   List<Test_visa_ListFilter1>   getlistbuilderparam( ) {
	List<Test_visa> list= Repository.findAll();
		ArrayList<Test_visa_ListFilter1> l = new ArrayList<>();
		for (Test_visa data : list) {
{	
Test_visa_ListFilter1 dummy = new Test_visa_ListFilter1();
			dummy.setId(data.getId());
  dummy.setName(data.getName());
	l.add(dummy);
} 
} 		
return l;}
}